CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
cppcms::sessions::session_cookies Class Reference

The implementation of session_api using encrypted or signed cookies. More...

`#include <cppcms/session_cookies.h>`

Inheritance diagram for cppcms::sessions::session_cookies:

## Public Member Functions
| session_cookies (std::auto_ptr< encryptor > encryptor)
| ~session_cookies ()
virtual void | save (session_interface &, std::string const &data, time_t timeout, bool newone, bool on_server)
virtual bool | load (session_interface &, std::string &data, time_t &timeout)
virtual bool | is_blocking ()
virtual void | clear (session_interface &)
Public Member Functions inherited from cppcms::session_api
virtual | ~session_api ()

## Detailed Description

The implementation of session_api using encrypted or signed cookies.

## Constructor & Destructor Documentation

cppcms::sessions::session_cookies::session_cookies | ( | std::auto_ptr< encryptor > | encryptor | ) |

Create a new object passing it a pointer ecryptor as parameter

cppcms::sessions::session_cookies::~session_cookies | ( |  | ) |

Destroy it and destroy an encryptor it was created with

## Member Function Documentation

virtual void cppcms::sessions::session_cookies::clear | ( | session_interface & |  | ) |
| virtual

Delete session, see session_api::clear

Implements cppcms::session_api.

virtual bool cppcms::sessions::session_cookies::is_blocking | ( |  | ) |
| virtual

See session_api::is_blocking

Implements cppcms::session_api.

virtual bool cppcms::sessions::session_cookies::load | ( | session_interface & | ,
|  | std::string & | data,
|  | time_t & | timeout
| ) |  |
| virtual

Load session from cookies, see session_api::load

Implements cppcms::session_api.

virtual void cppcms::sessions::session_cookies::save | ( | session_interface & | ,
|  | std::string const & | data,
|  | time_t | timeout,
|  | bool | newone,
|  | bool | on_server
| ) |  |
| virtual

Save session to cookies, see session_api::save

Implements cppcms::session_api.

The documentation for this class was generated from the following file:

- cppcms/session_cookies.h